---
title: llarp::service::LNSLookupTracker
summary: tracks and manages consensus of lns names we fetch from the network 

---

# llarp::service::LNSLookupTracker



tracks and manages consensus of lns names we fetch from the network 


`#include <lns_tracker.hpp>`

## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::variant< [Address](Classes/structllarp_1_1service_1_1Address.md), [RouterID](Classes/structllarp_1_1RouterID.md) > | **[Addr_t](Classes/classllarp_1_1service_1_1LNSLookupTracker.md#using-addr-t)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::function< void(std::optional< Addr_t >)> | **[MakeResultHandler](Classes/classllarp_1_1service_1_1LNSLookupTracker.md#function-makeresulthandler)**(std::string name, std::size_t numPeers, std::function< void(std::optional< Addr_t >)> resultHandler)<br>make a function that will handle consensus of an lns request name is the name we are requesting numPeers is the number of peers we asked resultHandler is a function that we are wrapping that will handle the final result  |

## Public Types Documentation

### using Addr_t

```cpp
using llarp::service::LNSLookupTracker::Addr_t =  std::variant<Address, RouterID>;
```


## Public Functions Documentation

### function MakeResultHandler

```cpp
std::function< void(std::optional< Addr_t >)> MakeResultHandler(
    std::string name,
    std::size_t numPeers,
    std::function< void(std::optional< Addr_t >)> resultHandler
)
```

make a function that will handle consensus of an lns request name is the name we are requesting numPeers is the number of peers we asked resultHandler is a function that we are wrapping that will handle the final result 

-------------------------------

Updated on 2022-09-10 at 18:17:14 +0000